Package: groovy.json.internal

## [Java] Class ValueList

- groovy.json.internal.ValueList

- Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueList (boolean lazyChop)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `add(Object obj)`
    `` | `void` | `chopList()`
    `` | `void` | `clear()`
    `` | `Object` | `get(int index)`
    `` | `Iterator<Object>` | `iterator()`
    `` | `List<Object>` | `list()`
    `` | `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class AbstractList`

    `remove, get, equals, hashCode, indexOf, clear, lastIndexOf, add, add, subList, iterator, addAll, set, listIterator, listIterator, remove, size, toString, isEmpty, toArray, toArray, contains, addAll, removeAll, retainAll, containsAll, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach, replaceAll, sort, getFirst, getLast, addFirst, addLast, removeFirst, removeLast, reversed, reversed`

    `class AbstractCollection` | `remove, size, toString, clear, isEmpty, add, toArray, toArray, iterator, contains, addAll, removeAll, retainAll, containsAll, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait, toArray, stream, spliterator, removeIf, parallelStream, forEach`

- - ### Constructor Detail

    - #### public ValueList(boolean lazyChop)

  - ### Method Detail

    - #### public boolean add(Object obj)

    - #### public void chopList()

    - #### public void clear()

    - #### public Object get(int index)

    - #### public Iterator<Object> iterator()

    - #### public List<Object> list()

    - #### public int size()